Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 127210 - no sound from intel 82801 after APM resume
Summary: no sound from intel 82801 after APM resume
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-04 10:42 UTC by Josh Parsons
Modified: 2015-01-04 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-16 04:12:46 UTC


Attachments (Terms of Use)

Description Josh Parsons 2004-07-04 10:42:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
My toshiba laptop has an intel 82801CA/CAM AC'97 audio controller. 
Since upgrading to FC2 (from FC1) the sound card is sometimes silent
after a resume from power saving (I am using apm).  By silent, I mean,
no sound comes out, otherwise the driver appears to be functioning (no
errors from applications or in dmesg output, for example.) The sound
driver is snd_intel8x0.

Removing and reloading the snd_intel8x0 module always fixes the
problem until the next suspend / resume.


Version-Release number of selected component (if applicable):
kernel-2.6.6-1.435.2.1

How reproducible:
Sometimes

Steps to Reproduce:
1. While running gnome desktop, shut down computer with apm -s.
2. Resume by pressing power button.
3. play a sample with the play command.
    

Additional info:

Comment 1 Dmitry Butskoy 2005-02-21 13:33:13 UTC
  The same, under Fedora Core 3 with IBM ThinkPad T23 laptop

  kernel-2.6.10-1.766_FC3

  Always reproducable (under ACPI):
1. Go to sleep by "echo 3 >/proc/acpi/sleep"
2. Resume bu pressing appropriate button(s)
3. Play any sample



  

Comment 2 Dave Jones 2005-04-16 04:12:46 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.


Comment 3 Dmitry Butskoy 2005-04-22 13:23:19 UTC
  Unfortunately, the issue still occur under latest FC3 kernel. I open bug
155705 for it.


Note You need to log in before you can comment on or make changes to this bug.